package com.izouma.awesomeadmin.service;

import java.util.List;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.GenTestTable;

/**
 * gen_test_table service接口类
 * Fri Apr 20 09:24:30 CST 2018  Suo Chen Cheng
 */ 
public interface GenTestTableService {

	List <GenTestTable> getGenTestTableList(GenTestTable record);

	List <GenTestTable> getGenTestTableByPage(Page page, GenTestTable record);

	GenTestTable getGenTestTableById(String id);

	GenTestTable getGenTestTable(GenTestTable record);

	boolean createGenTestTable(GenTestTable record);

	boolean deleteGenTestTable(String id);

	boolean updateGenTestTable(GenTestTable record);

}

